AnsweredAssumed Answered

LDAP Adaptor is failing after the CA PPM Upgrade to 15.5.1

Question asked by valsu06 Employee on Feb 20, 2019
Latest reply on Feb 23, 2019 by pdesur

Hello All,

 

Can someone clarify whether CA PPM Adaptors are dependent on JAVA Version?

 

Initially CA PPM Adaptor worked fine in CA PPM 15.2 Version with Java 8, After the Upgrade to CA PPM 15.5.1 with JAVA 11 it started failing with below error.

 

ERROR 2019-02-20 06:13:09,749 [Dispatch LDAP CA PPM Resource/User Adaptor : bg@S021M242 (tenant=clarity)] niku.njs (clarity:avallasu:10026168__4BEB60AD-F2CD-4B14-9914-145E5D30591B:LDAP CA PPM Resource/User Adaptor) Error executing job: 5275024
java.lang.NoClassDefFoundError: javax/xml/soap/SOAPException
at com.ca.gd.framework.adaptors.service.AdaptorXMLProcessor.getObjectInvoker(AdaptorXMLProcessor.java:715)
at com.ca.gd.framework.adaptors.service.AdaptorXMLProcessor.process(AdaptorXMLProcessor.java:237)
at com.ca.gd.adaptorframework.client.impl.service.GDAdaptorClientService.executeAdaptor(GDAdaptorClientService.java:123)
at com.ca.gd.adaptorframework.client.impl.trigger.GDAdaptorClientTrigger.scheduledEventFired(GDAdaptorClientTrigger.java:73)
at com.niku.njs.Dispatcher$BGTask.run(Dispatcher.java:657)
at java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1128)
at java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
at java.base/java.lang.Thread.run(Thread.java:834)
Caused by: java.lang.ClassNotFoundException: javax.xml.soap.SOAPException
at java.base/jdk.internal.loader.BuiltinClassLoader.loadClass(BuiltinClassLoader.java:582)
at java.base/jdk.internal.loader.ClassLoaders$AppClassLoader.loadClass(ClassLoaders.java:178)
at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:521)

 

Thanks,

Suresh

Outcomes